<?php

namespace Intergo\InventoryClient;

use Intergo\BaseClient\ApiHandler;
use Intergo\BaseClient\Enums\HttpMethodEnum;

class InventoryApiHandler extends ApiHandler
{
    protected static $endpoints = [
        //Countries
        'getAllCountries' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/countries'],
        'getCountryCities' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/countries/:code/cities'],
        'getUSStates' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/countries/us/states'],
        'getStateCities' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/countries/us/states/:code/cities'],
        'getInventoryAvailableCountries' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/countries/available'],

        //Numbers
        'getNumbersForUser' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/numbers'],
        'requestNumber' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/:site/numbers/request'],

        //Number Types
        'getNumberTypes' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/number-types'],

        //Keywords
        'getKeywordExamples' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/keywords/examples'],
    ];
}
